Whether it's a leaking hot water heater or just a leak under the sink, you want to catch water leaks just as soon as they start, before damage occurs.

The idea is simple enough: use extra long (30mm) male pin headers to elevate the detector above a surface where water might encroach.  Water which shorts against any two adjacent pins should immediately wake up the detector so that it can report the problem.  I chose LoRa because for any detected water leaks you definitely want highly reliable RF communication.  

In addition, the project incorporates:
1.  A buzzer, which serves an an audible alarm, in case a leak is detected.  The alarm is under MCU control, so it sounds only as much as it is programmed to.
2.  For very high reliability, as well as saving power, a TPL5010 external watchdog is included.  It consumes only 35 nano amps, which is far better than the watchdog built into the ATMEGA328P.  Furthermore, if for whatever reason the ATMEGA328p were ever to become unresponsive, it would it would initiate a hardware reset.

This water leak detector is powered by two AA batteries.  

The maximum sleep interval supported by the TLP5010 is two hours.  This is set using the 170K ohm resistor.  If you wish for a shorter sleep interval, select and use a lower ohm resistor.  Table 3 of the TLP5010 datasheet shows a mapping of resistor values to time intervals:  http://www.ti.com/lit/ds/symlink/tpl5010.pdf